<!DOCTYPE html>
<html lang="en">

<head>
    {% block head %}
    {% load static %}
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Autos</title>
    <link rel="stylesheet" href="https://unpkg.com/bulma@0.9.0/css/bulma.min.css"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://kit.fontawesome.com/7dc3015a44.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <link rel="stylesheet" href='{% static "cars_list.css" %}'>
    <link rel="icon" type="image/png" href='{% static "autos.PNG" %}'/>
        <script type="text/javascript"
                src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-5d669e21f91b598c"></script>
    {% endblock %}
</head>
<style>
    .loginDiv {
        margin-left: 30%;
        text-align: center;
        width: 39%;
    }
</style>
<body>
<!-- START NAV -->
{% header_template %}
<!-- END NAV -->

<div class="container">
    {% dashboard_overview %}

    <div class="section">
        <div class="columns">
            <div class="column has-text-centered">
                {#                <h1 class="title" style="color: ghostwhite;">Welcome to Autos</h1><br>#}
            </div>
        </div>
        <div id="app" class="row columns is-multiline">
            {% for card, image in cars_list.items %}
                <div key="{{ card.id }}" class="column is-4">
                    <div class="card large">
                        <div class="card-image">
                            <figure class="image is-16by9">
                                <img src='{% static image.default_image %}' alt="Image">
                            </figure>
                        </div>
                        <div class="card-content">
                            <div class="media">
                                <div class="media-left">
                                    <figure class="image is-48x48">
                                        <img src='{% static "brands/" %}{{ card.brand |upper }}.jpg' alt="Image">
                                    </figure>
                                </div>
                                <div class="media-content">
                                    <p class="title is-4 no-padding">                      <span class="title is-4">
                        <a href='/vehicle-details/{{ card.id }}'> <span>{{ card.title }}</span> </a> </span></p>
                                    <p>
                                        <span class="title is-6">{{ card.brand }} </span>
                                        <span class="title is-6"> | {{ card.fuel }} | </span>
                                        <span class="title is-6">  {{ card.production_year }} </span>
                                    </p>

                                    <p>
                                        <span class="title is-6"> {{ card.price }}$ | </span>
                                        <span class="title is-6">  {{ card.distance }} KM</span>
                                    </p>

                                    <p>
                                        <span class="title is-6"> {{ card.location }} </span>
                                    </p>
                                  <p>
                                    <span> {{ card.created_at }} </span>
                                  </p>
                                  <p>
                                    <span> Seller: {{ image.profile.store_name }} </span>
                                  </p>

                                </div>
                            </div>
                            <div class="content">
                                {{ card.content }}
                                <div class="background-icon"><span class="icon-twitter"></span></div>
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>

  <div class="columns is-multiline is-mobile">
    <div class="column has-text-centered">

    {% if page_obj %}
      <div class="mb-4">
    <span class="step-links">
        {% if page_obj.has_previous %}
          <a href="?page=1">&laquo; first</a>
          <a href="?page={{ page_obj.previous_page_number }}">previous</a>
        {% endif %}

      <span class="has-text-white current">
            Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
        </span>

      {% if page_obj.has_next %}
        <a href="?page={{ page_obj.next_page_number }}">next</a>
        <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
      {% endif %}
    </span>
      </div>
    {% else %}
        <p class="is-flex is-center has-text-white" style="font-size: 2em;margin-left: 16em;">No vehicle is found!</p>
    {% endif %}
    </div>
  </div>

</div>
{% footer_template %}
<script src='{% static "cars_list.js" %}'></script>
<script src='{% static "header.js" %}'></script>
</body>

</html>
